curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/project_components \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"component_data": {
"activity_completed_at": "2023-11-07T05:31:56Z",
"activity_started_at": "2023-11-07T05:31:56Z",
"component_blueprint_key": "<string>",
"display_name": "<string>",
"inputs": [
{
"datapoint_ids": [
"dtp_1DVKHKS101S0Q61Q"
],
"input_key": "<string>",
"__typename": "CreateComponentListInput"
}
],
"project_id": "prj_1CTWZQGKE1S0VAXA",
"supplier_reference_id": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/project_components"
payload = { "component_data": {
"activity_completed_at": "2023-11-07T05:31:56Z",
"activity_started_at": "2023-11-07T05:31:56Z",
"component_blueprint_key": "<string>",
"display_name": "<string>",
"inputs": [
{
"datapoint_ids": ["dtp_1DVKHKS101S0Q61Q"],
"input_key": "<string>",
"__typename": "CreateComponentListInput"
}
],
"project_id": "prj_1CTWZQGKE1S0VAXA",
"supplier_reference_id": "<string>",
"description": "<string>"
} }
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
component_data: {
activity_completed_at: '2023-11-07T05:31:56Z',
activity_started_at: '2023-11-07T05:31:56Z',
component_blueprint_key: '<string>',
display_name: '<string>',
inputs: [
{
datapoint_ids: ['dtp_1DVKHKS101S0Q61Q'],
input_key: '<string>',
__typename: 'CreateComponentListInput'
}
],
project_id: 'prj_1CTWZQGKE1S0VAXA',
supplier_reference_id: '<string>',
description: '<string>'
}
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/project_components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity_completed_at": "2023-11-07T05:31:56Z",
"activity_started_at": "2023-11-07T05:31:56Z",
"blueprint_key": "<string>",
"description": "<string>",
"display_name": "<string>",
"ghg_entry_template_component_id": "rtc_1DAA58EDM1S0AMPN",
"id": "cmp_1EP2SB7MZ1S036PY",
"inputs": [
{
"datapoint_ids": [
"dtp_1DVKHKS101S0Q61Q"
],
"input_key": "<string>",
"__typename": "ComponentListInput"
}
],
"removal_template_component_id": "rtc_1DAA58EDM1S0AMPN",
"scope": "REMOVAL",
"supplier_reference_id": "<string>",
"type": "ACTIVITY",
"allocation_strategy": "ESTIMATED_PROJECT_TONNAGE"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Post Project Component
Creates a component that will be automatically attributed to GHG statements in the project based on the provided allocation strategy.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Body
The strategy that the components emissions are distributed across GHG Statements.
ESTIMATED_PROJECT_TONNAGE, MANUAL, CUSTOM_TIME_PERIOD, ESTIMATED_PROJECT_LIFETIME Data required to create any component
Show child attributes
Show child attributes
Response
Successful Response
The ID of the GHG entry template component, if this component was created via a template. May be null if the component was created directly, or if the template has been deleted.
20 - 37"rtc_1DAA58EDM1S0AMPN"
20 - 37"cmp_1EP2SB7MZ1S036PY"
"cmp_1EHK4R6QJSBXFC5N"
A list of component inputs. The inputs can be either scalars or list inputs.
- ComponentListInput
- ComponentScalarInput
Show child attributes
Show child attributes
The ID of the removal template component, if this component was created via a template. May be null if the component was created directly, or if the template has been deleted.
20 - 37"rtc_1DAA58EDM1S0AMPN"
REMOVAL, GHG_STATEMENT, PROJECT, NET_NEGATIVITY A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200ACTIVITY, REMOVAL_COUNTERFACTUAL, SEQUESTRATION, LOSS, ADJUSTMENT, REDUCTION, UNCERTAINTY_DISCOUNT Attribution strategy, manages how project-scoped components are distributed across GHG statements; value will be Null if scope is not of scope project
ESTIMATED_PROJECT_TONNAGE, MANUAL, CUSTOM_TIME_PERIOD, ESTIMATED_PROJECT_LIFETIME Was this page helpful?